apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: default

resources:
  - ../../base

patchesStrategicMerge:
  - patches/namespace-patch.yaml
  - patches/resource-limits-patch.yaml

configMapGenerator:
  - name: environment-config
    literals:
      - ENV=development
      - LOG_LEVEL=debug
      - REPLICAS=1

commonLabels:
  environment: development

